Subject: Re: cloning the kernel - why long time in "Resolving 313037 deltas"

From: Shawn Pearce <[email-masked]>
Date: Thu, 21 Dec 2006 20:56:56 -0500

Kyle Moffett <[email-masked]> wrote:
> Just as an example, it takes my OS-X-running Quad-2.5GHz G5 ten times  
> as long to do a "grep -rl foo linux/" as my Linux-running dual-1GHz  
> G4 with 400MHz system bus.  This is disk-cache-hot too.  And that's  
> not even a stat-heavy workload.  There's more than one reason I'm  
> trying to make a Mac OS X ABI emulation layer on top of Linux :-D.

Try 'git grep foo' instead; its very fast if you are working with
a fully packed Git repository.

Doesn't help any other application on Mac OS X however. :-(

-- 
Shawn.